Skip to main content
GET
https://prod-api.raisedonors.com
/
api
/
Webhook
/
{id}
/
log
/
list
List Webhook Logs
curl --request GET \
  --url https://prod-api.raisedonors.com/api/Webhook/{id}/log/list \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "id": 123,
      "webhookId": 123,
      "contextId": 123,
      "eventTypeDisplay": "<string>",
      "serverResponse": "<string>",
      "success": "<string>",
      "httpStatusCode": "<string>",
      "createdDate": "<string>",
      "modifiedDate": "<string>"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

id
integer<int64>
required

The ID of the webhook.

Query Parameters

Filter
string
Skip
integer<int32>
Take
integer<int32>
SortBy
enum<string>

Field to sort by (case-insensitive). Valid options: createddatetime, id

Available options:
createddatetime,
id
Descending
boolean
IncludeDetails
boolean

Response

OK

items
object[]

Represents a webhookloglist model.

total
integer<int32>
Last modified on June 5, 2026